Provable Markets

VenueService

QueryOrderBookDetailed

PATH: /aurora.core.apiengine.venuev1.VenueService/QueryOrderBookDetailed

SecurityBearer
Request
Request Body schema: application/json
required
agreement_ids
Array of strings

optionally restrict query to orders with specific agreements

company_ids
Array of strings

optionally restrict query to orders created by a set of companies

instrument
string

Cusip or Ticker of the queried instrument

maximum_fee
string

optionally restrict query to orders with maximum requested fee

maximum_min_execution_quantity
string <int64>

optionally restrict query to orders with a maximum requested quantity

maximum_quantity
string <int64>

optionally restrict query to orders with a maximum requested quantity

maximum_rebate
string

optionally restrict query to orders with maximum requested rebate

minimum_fee
string

optionally restrict query to orders with minimum requested fee

minimum_min_execution_quantity
string <int64>

optionally restrict query to orders with a minimum requested quantity

minimum_quantity
string <int64>

optionally restrict query to orders with a minimum requested quantity

minimum_rebate
string

optionally restrict query to orders with minimum requested rebate

order_type
string (aurora.core.consts.oms.OmsOrderType)
Value: "LIMIT"
page_limit
integer <int32>

Number of orders per page (max 20,000). Required if page_number is set. Defaults to 1,000 if not set.

page_number
integer <int32>

Page number, 1 being the starting one. Required if page_limit is set.

rate_type
string (aurora.core.common.protos.RateType)
Enum: "REBATE" "FEE"
side
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
Responses
200

A successful response

Response Schema: application/json
Array of objects (aurora.core.apiengine.venuev1.OrderDetailed)